Description 1
The phone number extension of the alternate contact person. 1-30 characters.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
OID reference
1.3.6.1.4.1.2.3.51.2.23.4.3.12
The phone number extension of the alternate contact person. 1-30 characters.
Identification
{1 3 6 1 4 1 2 3 51 2 23 4 3 12}
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.2.3.51.2.23.4.3.12.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 2 distinct definitions; some records may not include a definition.
altPhoneNumberExt OBJECT-TYPE
SYNTAX OCTET STRING
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The phone number extension of the alternate contact person. 1-30 characters."
::= {contactInformation 12}altPhoneNumber OBJECT-TYPE
SYNTAX OCTET STRING
ACCESS read-write
STATUS mandatory
DESCRIPTION
"(Optional) The phone of the alternate contact person. 5-30 characters."
::= {contactInformation 12}
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Description 1
The phone number extension of the alternate contact person. 1-30 characters.
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
Description 2
(Optional) The phone of the alternate contact person. 5-30 characters.
IBM MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: altPhoneNumberExt
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"altPhoneNumberExt",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The phone number extension of the alternate contact person. 1-30 characters.\"",
"::=",
"{",
"contactInformation",
"12",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The phone number extension of the alternate contact person. 1-30 characters."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: CME-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Related source files and packages:
Same file in Observium Community.
Vendor MIB copy from the MibBrowser.online archive. IBM (https://w3.ibm.com/standards ) support.
Module: CME-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Related source files and packages:
Status in source: mandatory.
Names: altPhoneNumber
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"altPhoneNumber",
"OBJECT-TYPE",
"SYNTAX",
"OCTET",
"STRING",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"(Optional) The phone of the alternate contact person. 5-30 characters.\"",
"::=",
"{",
"contactInformation",
"12",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"OCTET STRING"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"(Optional) The phone of the alternate contact person. 5-30 characters."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: BLADE-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress']}Same file in Observium Community.
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.2.23.4.3.1 | companyName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.2 | contactName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.3 | phoneNumber | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.4 | emailAddress | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.5 | address | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.6 | city | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.7 | state | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.8 | postalCode | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.9 | phoneNumberExt | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.10 | phoneNumberExt, altContactName | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.11 | altContactName, altPhoneNumber | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.13 | altPhoneNumberExt, altEmailAddress | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.14 | altEmailAddress | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.2.23.4.3.15 | machineLocPhone | 0 | 0 |